Skip to content

Retrieve all available workflow actions that can be initiated on a specific workflow.

GET/api/{version}/objects/objectworkflows/{workflow_id}/actions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{workflow_id}The workflow id field value.
NameDescription
locWhen localized (translated) strings are available, retrieve them by including loc=true.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v22.3/objects/objectworkflows/3302/actions
{ "responseStatus": "SUCCESS", "data": [ { "name": "cancel", "label": "Cancel" }, { "name": "replaceworkflowowner", "label": "Replace Workflow Owner" }, { "name": "addparticipants", "label": "Add Participants" } ] }

On SUCCESS, the response lists all available workflow actions. Each action includes the following fields:

  • name - The workflow action name used to initiate the workflow in the request below.
  • label - The workflow action label as seen in the UI.